public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/mkcert/
Date: Sat, 17 Aug 2019 18:59:27 +0000 (UTC)	[thread overview]
Message-ID: <1566068355.208d159b2644a1b73e4bcceebc4391ca932a095e.mrueg@gentoo> (raw)

commit:     208d159b2644a1b73e4bcceebc4391ca932a095e
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 17 18:59:15 2019 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sat Aug 17 18:59:15 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=208d159b

app-misc/mkcert: Version bump to 1.4.0

Package-Manager: Portage-2.3.71, Repoman-2.3.16
Signed-off-by: Manuel Rüger <mrueg <AT> gentoo.org>

 app-misc/mkcert/Manifest            |  1 +
 app-misc/mkcert/mkcert-1.4.0.ebuild | 28 ++++++++++++++++++++++++++++
 2 files changed, 29 insertions(+)

diff --git a/app-misc/mkcert/Manifest b/app-misc/mkcert/Manifest
index 2dd2181718b..822433eee17 100644
--- a/app-misc/mkcert/Manifest
+++ b/app-misc/mkcert/Manifest
@@ -1 +1,2 @@
 DIST mkcert-1.1.2.tar.gz 374244 BLAKE2B 3d9dd700e77ae6eae693bed51ae027fba409880f2c0f8fe1d5eb3c4af1e85f03784c0f6b55a384117c8ba8949ba0f061911998846f8c7ac3fddaa9e4dee567f5 SHA512 6015964915088914c0c208c47a41142b4b69e1e0c6e890422fe07c0dee2fb7c8a1ac04b9efba8a913de35ef3f46d3c8ee96941257eefbceb1c1885a67e1255da
+DIST mkcert-1.4.0.tar.gz 375857 BLAKE2B 40d8f7a421ca4dc5d6c9c3fd6ec2a2d5a742c1f0d3a7a336270b44847e9d0188cfb34b918332902213d71ef3251a65dcd1636d641609a2f898f449298d031dfc SHA512 4a31012262813ad6f34f129615e11580084e5da74ccecd043dc47b1ebb7b13fd2f6594bdb4e05a5d1a680d89ad62c2a4b0662c5fd029c154bf9e9e0981de7d33

diff --git a/app-misc/mkcert/mkcert-1.4.0.ebuild b/app-misc/mkcert/mkcert-1.4.0.ebuild
new file mode 100644
index 00000000000..834a1dd46f1
--- /dev/null
+++ b/app-misc/mkcert/mkcert-1.4.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+EGO_PN="github.com/FiloSottile/mkcert"
+
+inherit golang-build golang-vcs-snapshot
+
+KEYWORDS="~amd64"
+
+DESCRIPTION="A zero-config tool to make locally trusted development certificates"
+HOMEPAGE="https://github.com/FiloSottile/mkcert"
+SRC_URI="https://github.com/FiloSottile/mkcert/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="BSD"
+SLOT="0"
+IUSE=""
+
+src_compile() {
+	pushd src/${EGO_PN} || die
+	GOPATH="${S}" go install -v ${EGO_PN} || die
+	popd || die
+}
+
+src_install() {
+	dobin bin/mkcert
+	dodoc src/${EGO_PN}/README.md
+}


             reply	other threads:[~2019-08-17 18:59 UTC|newest]

Thread overview: 11+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-08-17 18:59 Manuel Rüger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-02-27 22:37 [gentoo-commits] repo/gentoo:master commit in: app-misc/mkcert/ Sam James
2022-05-15  2:40 Sam James
2022-05-15  2:40 Sam James
2021-06-07  6:26 Sergei Trofimovich
2020-05-02 18:39 William Hubbs
2020-05-02 18:35 William Hubbs
2019-01-27 10:15 Pacho Ramos
2018-09-06 17:44 Manuel Rüger
2018-09-06 17:40 Manuel Rüger
2018-07-30 12:37 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1566068355.208d159b2644a1b73e4bcceebc4391ca932a095e.mrueg@gentoo \
    --to=mrueg@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox